# $Id: smeserver-bugzilla.spec,v 1.5 2022/08/01 01:56:32 jpp Exp $
# Authority: snetram
# Name: Jonathan Martens

Summary: Set up bugzilla for SME Server.
%define name smeserver-bugzilla
%define version 1.0
%define release 8
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz


BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-release >= 10.0
Requires: e-smith-apache >= 2.6.0-19
Requires: bugzilla >= 3.2.10
Requires: bugzilla-contrib
Requires: bugzilla-doc
#Requires: perl-CGI >= 3.21
#Requires: perl(Digest::SHA)
#Requires: perl-TimeDate
#Requires: perl(DateTime) >= 0.28
#Requires: perl(DateTime::TimeZone) >= 0.71
Requires: perl(DBI) >= 1.41
Requires: perl(DBD::mysql) >= 4.00

Requires: smeserver-mysql >= 2.7.0-5
Requires: smeserver-mariadb105 

#Requires: perl-Template-Toolkit >= 2.22
#Requires: perl(Email::Send) >= 2.00
#Requires: perl(Email::MIME) >= 1.861
#Requires: perl(Email::MIME::Encodings) >= 1.313
#Requires: perl(Email::MIME::Modifier) >= 1.442
#Requires: perl(URI)

Requires: e-smith-base
AutoReqProv: no

%description
rpm to setup bugzilla

%changelog
* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.0-8.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Mon Jul 25 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-7.sme
- update to httpd 2.4 access syntax [SME: 12038]
  added option for private /public access default remains public

* Mon May 30 2022 Brian Read <brianr@bjsystems.co.uk> 1.0-5.sme
- Switch-to-mariadb-105 for SME10 and add -update event [SME: 11977]

* Mon May 30 2022 Brian Read <brianr@bjsystems.co.uk> 1.0-4.sme
- Fix transaction failure with --ignoredirs in genfilelist [SME: 11977]

* Sun Oct 13 2013 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-3.sme
- fixing admin pass too long [SME: 7902]

* Sat Oct 12 2013 Jean-Philippe Pialasse <tests@pialasse.com> 1.0-2.sme
- fixing localconfig path to etc

* Sat Oct 12 2013 Jean-Philippe Pialasse <tests@pialasse.com> 0.1-6.sme
- fixing requirement
 
* Sat Mar 6 2010 Jonathan Martens <smeserver-contribs@snetram.nl>
- Fix date in previous changelog entry
- Fix SPEC header to generate proper version and release data

* Fri Mar 5 2010 Jonathan Martens <smeserver-contribs@snetram.nl>
- Create strong password

* Mon Dec 7 2009 Jonathan Martens <smeserver-contribs@snetram.nl>
- Apply a more restricted set of privileges to the bugzilla database user

* Mon Dec 7 2009 Jonathan Martens <smeserver-contribs@snetram.nl>
- Update minimal requirements to match at least bugzilla 3.4.2
- Reserve the /bugzilla URL namespace in the configuration database
- Simplify webserver configuration fragment and rely on .htaccess files 
  generated by checksetup.pl
- Generate localconfig and populate it with the database settings
- Create default input configuration file (/etc/bugzilla.conf) for 
  checksetup.pl so it can be executed unattended
- Add a custom template so the initial welcome page will remind the admin to 
  change the password for the admin account
- Enable InnoDB as this is required for Bugzilla

* Tue Aug 14 2007 Greg Swallow <greg@runlevle7.ca> - 0.1-1
- initial release

%prep
%setup

#%patch3 -p1
#%patch4 -p1
#%patch5 -p1
#%patch6 -p1
#%patch7 -p1
#%patch8 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        --ignoredir "/usr/share/bugzilla" \
      > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
